%global momorel 2

Summary: Security module for the Apache HTTP Server
Name: mod_security 
Version: 2.1.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.modsecurity.org/
Group: System Environment/Daemons
Source: http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
NoSource: 0
Source1: mod_security.conf
Source2: modsecurity_localrules.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml2 pcre httpd httpd-mmn
BuildRequires: httpd-devel >= 2.2.4-2m
BuildRequires: libxml2-devel pcre-devel

%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from attacks.

%prep
%setup -q -n modsecurity-apache_%{version}

%build
make -C apache2 CFLAGS="%{optflags}" top_dir="%{_libdir}/httpd"
perl -pi.orig -e 's|LIBDIR|%{_libdir}|;' %{SOURCE1}

%install
rm -rf %{buildroot}
install -D -m755 apache2/.libs/mod_security2.so %{buildroot}/%{_libdir}/httpd/modules/mod_security2.so
install -D -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_security.conf
install -d %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/blocking/
perl -pi.orig -e 's|Apache/2.2.0 \(Fedora\)|Apache/2.2.0 \(Momonga\)|;' rules/*.conf
cp -r rules/*.conf %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
cp -r rules/blocking/*.conf %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/blocking/
install -D -m644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/modsecurity_localrules.conf

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc CHANGES LICENSE README.* modsecurity* doc
%{_libdir}/httpd/modules/mod_security2.so
%config %{_sysconfdir}/httpd/conf.d/mod_security.conf
%dir %{_sysconfdir}/httpd/modsecurity.d
%dir %{_sysconfdir}/httpd/modsecurity.d/blocking
%config %{_sysconfdir}/httpd/modsecurity.d/*.conf
%config %{_sysconfdir}/httpd/modsecurity.d/blocking/*.conf
# future works
#%%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/*.conf
#%%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/blocking/*.conf

%changelog
* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.3-2m)
- use "Apache/2.2.0 \(Momonga\)" in rules/*.conf

* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.3-1m)
- update

* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.1-2m)
- update http_version to 2.2.6

* Sat Jun  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.1-1m)
- [SECURITY] CVE-2007-1359
- update to 2.1.1

* Sun Jul 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.9.4-1m)
- import from fedora extra

* Mon May 15 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.4-1
- New upstream release

* Tue Apr 11 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.3-1
- New upstream release
- Trivial spec tweaks

* Wed Mar 1 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-3
- Bump for FC5

* Fri Feb 10 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-2
- Bump for newer gcc/glibc

* Wed Jan 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-1
- New upstream release

* Fri Dec 16 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.1-2
- Bump for new httpd

* Thu Dec 1 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.1-1
- New release 1.9.1 

* Wed Nov 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9-1
- New stable upstream release 1.9

* Sat Jul 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-4
- Add Requires: httpd-mmn to get the appropriate "module magic" version
  (thanks Ville Skytta)
- Disabled an overly-agressive rule or two..

* Sat Jul 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-3
- Correct Buildroot
- Some sensible and safe rules for common apps in mod_security.conf

* Thu May 19 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-2
- Don't strip the module (so we can get a useful debuginfo package)

* Thu May 19 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-1
- Initial spin for Extras
